Vault
Edit Vault Album
Edit an existing vault album in Fansly.
Update the title or description of an existing vault album.
https://v1.apifansly.com/api/fansly
PUT
/{accountId}/vault/albums/{albumId}
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Request Body
curl -X PUT "https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"title": "Updated Album Title",
"description": "Updated album description",
"createdAt": 1768518748000
}'fetch("https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}", {
method: "PUT",
headers: {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
title: "Updated Album Title",
description: "Updated album description",
createdAt: 1768518748000
})
})
.then(response => response.json())
.then(data => console.log(data));import requests
url = "https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}"
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
payload = {
"title": "Updated Album Title",
"description": "Updated album description",
"createdAt": 1768518748000
}
response = requests.put(url, json=payload, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpClient client = HttpClient.newHttpClient();
String jsonBody = "{\"title\":\"Updated Album Title\",\"description\":\"Updated album description\",\"createdAt\":1768518748000}";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}"))
.header("x-api-key", "YOUR_API_KEY")
.header("Content-Type", "application/json")
.PUT(HttpRequest.BodyPublishers.ofString(jsonBody))
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var jsonBody = "{\"title\":\"Updated Album Title\",\"description\":\"Updated album description\",\"createdAt\":1768518748000}";
var content = new StringContent(jsonBody, Encoding.UTF8, "application/json");
var response = await client.PutAsync("https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}", content);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);
}
}package main
import (
"bytes"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{accountId}/vault/albums/{albumId}"
jsonBody := []byte(`{"title":"Updated Album Title","description":"Updated album description","createdAt":1768518748000}`)
req, _ := http.NewRequest("PUT", url, bytes.NewBuffer(jsonBody))
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
accountId*
stringThe unique identifier for the connected Fansly account.
albumId*
stringThe unique identifier of the vault album to edit.
Request Body Parameters
title*
stringThe updated title of the vault album.
description ?
stringThe updated description of the vault album.
createdAt*
numberTimestamp (in milliseconds) when the album was originally created.
Response
Success Response (200 OK)
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"id": "ALBUM_ID",
"accountId": "ACCOUNT_ID",
"pos": 4,
"title": "Exclusive Content",
"description": "My exclusive vault album",
"type": null,
"status": 0,
"version": 1,
"createdAt": 1791989196000,
"lastSyncAt": 1791989260000
}
}
},
"timestamp": "2026-10-14T14:50:06.760Z"
}